Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 242418 - liboil fails to build on ppc64
Summary: liboil fails to build on ppc64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liboil
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FE-ExcludeArch-ppc64, F-ExcludeArch-ppc64
TreeView+ depends on / blocked
 
Reported: 2007-06-04 09:04 UTC by Christopher Aillon
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version: 0.3.12-3.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-16 13:26:56 UTC


Attachments (Terms of Use)

Description Christopher Aillon 2007-06-04 09:04:42 UTC
http://koji.fedoraproject.org/koji/getfile?taskID=25422&name=build.log

if /bin/sh ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. 
  -Wall -D_BSD_SOURCE -D_GNU_SOURCE -I.. -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m64 -mminimal-toc -MT liboil_0.3_la-liboilcpu.lo -MD -MP -MF
".deps/liboil_0.3_la-liboilcpu.Tpo" -c -o liboil_0.3_la-liboilcpu.lo `test -f
'liboilcpu.c' || echo './'`liboilcpu.c; \
	then mv -f ".deps/liboil_0.3_la-liboilcpu.Tpo"
".deps/liboil_0.3_la-liboilcpu.Plo"; else rm -f
".deps/liboil_0.3_la-liboilcpu.Tpo"; exit 1; fi
 gcc -DHAVE_CONFIG_H -I. -I. -I.. -Wall -D_BSD_SOURCE -D_GNU_SOURCE -I.. -O2 -g
-pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mminimal-toc -MT liboil_0.3_la-liboilcpu.lo -MD
-MP -MF .deps/liboil_0.3_la-liboilcpu.Tpo -c liboilcpu.c  -fPIC -DPIC -o
.libs/liboil_0.3_la-liboilcpu.o
{standard input}: Assembler messages:
{standard input}:101: Error: unsupported relocation against v0
{standard input}:101: Error: unsupported relocation against v0
{standard input}:101: Error: unsupported relocation against v0
make[3]: *** [liboil_0.3_la-liboilcpu.lo] Error 1
make[3]: Leaving directory `/builddir/build/BUILD/liboil-0.3.12/liboil'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/builddir/build/BUILD/liboil-0.3.12/liboil'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/liboil-0.3.12'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.58316 (%build)

Comment 1 Bastien Nocera 2007-06-04 11:36:13 UTC
This makes any GStreamer program unbuildable on ppc64

Comment 2 Bastien Nocera 2007-06-04 11:36:33 UTC
Filed upstream at:
https://bugs.freedesktop.org/show_bug.cgi?id=11134

Comment 3 David Woodhouse 2007-06-04 11:53:21 UTC
This is because you're missing the -Wa,-mregnames (and -maltivec) arguments from
CFLAGS. It looks like HAVE_POWERPC is not set. Does this help?

--- configure~  2007-05-29 07:13:44.000000000 +0100
+++ configure   2007-06-04 12:52:00.000000000 +0100
@@ -10317,7 +10317,7 @@ cat >>confdefs.h <<\_ACEOF
 _ACEOF
 
       ;;
-    xpowerpc|xppc)
+    xpowerpc|xppc|xpowerpc64|xppc64)
       HAVE_POWERPC=yes
 
 cat >>confdefs.h <<\_ACEOF


Comment 4 Bastien Nocera 2007-06-04 13:26:19 UTC
Built into liboil-0.3.12-3.fc8. Thanks for the patch David.

Comment 5 Brian Pepple 2007-06-14 21:59:32 UTC
can this be fixed for F7 also?

Comment 6 John (J5) Palmieri 2007-06-15 23:04:27 UTC
strangly enough it was checked in and tagged ten days ago for F7 but never
built.  Building now.  Will push and this bug will be closed.

Comment 7 Fedora Update System 2007-06-16 13:26:52 UTC
liboil-0.3.12-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.